diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/time.cc ns-3.31/src/core/model/time.cc
--- ns-3.30.1/src/core/model/time.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/time.cc	2020-06-27 17:38:30.000000000 -0700
@@ -30,7 +30,7 @@
 /**
  * \file
  * \ingroup time
- * ns3::Time, ns3::TimeWithUnit 
+ * ns3::Time, ns3::TimeWithUnit
  * and ns3::TimeValue attribute value implementations.
  */
 
@@ -68,10 +68,10 @@
 
   if (firstTime)
     {
-      if (! g_markingTimes)
+      if (!g_markingTimes)
         {
           static MarkedTimes markingTimes;
-          g_markingTimes = & markingTimes;
+          g_markingTimes = &markingTimes;
         }
       else
         {
@@ -198,8 +198,8 @@
     }
 
   // Y, D, H, MIN, S, MS, US, NS, PS, FS
-  const int8_t power [LAST] = { 17, 17, 17, 16, 15, 12, 9, 6, 3, 0 };
-  const int32_t coefficient [LAST] = { 315360, 864, 36, 6, 1, 1, 1, 1, 1, 1 };
+  const int8_t power[LAST] = { 17, 17, 17, 16, 15, 12, 9, 6, 3, 0 };
+  const int32_t coefficient[LAST] = { 315360, 864, 36, 6, 1, 1, 1, 1, 1, 1 };
   for (int i = 0; i < Time::LAST; i++)
     {
       int shift = power[i] - power[(int)unit];
@@ -214,11 +214,12 @@
           quotient = coefficient[(int) unit] / coefficient[i];
           NS_ASSERT (quotient * coefficient[i] == coefficient[(int) unit]);
         }
-      NS_LOG_DEBUG ("SetResolution for unit " << (int) unit << " loop iteration " << i
-    		    << " has shift " << shift << " has quotient " << quotient);
+      NS_LOG_DEBUG ("SetResolution for unit " << (int) unit <<
+                    " loop iteration " << i <<
+                    " has shift " << shift << " has quotient " << quotient);
       int64_t factor = static_cast<int64_t> (std::pow (10, std::fabs (shift)) * quotient);
       double realFactor = std::pow (10, (double) shift)
-                        * static_cast<double> (coefficient[i]) / coefficient[(int) unit];
+        * static_cast<double> (coefficient[i]) / coefficient[(int) unit];
       NS_LOG_DEBUG ("SetResolution factor " << factor << " real factor " << realFactor);
       struct Information *info = &resolution->info[i];
       info->factor = factor;
@@ -276,7 +277,7 @@
   if (g_markingTimes)
     {
       NS_LOG_LOGIC ("clearing MarkedTimes");
-      g_markingTimes->erase (g_markingTimes->begin(), g_markingTimes->end ());
+      g_markingTimes->erase (g_markingTimes->begin (), g_markingTimes->end ());
       g_markingTimes = 0;
     }
 }  // Time::ClearMarkedTimes
@@ -304,7 +305,7 @@
         {
           NS_LOG_WARN ("already recorded " << time << "!");
         }
-   }
+    }
 }  // Time::Mark ()
 
 
@@ -344,24 +345,24 @@
 {
   CriticalSection critical (GetMarkingMutex ());
 
-  NS_LOG_FUNCTION_NOARGS();
+  NS_LOG_FUNCTION_NOARGS ();
 
   NS_ASSERT_MSG (g_markingTimes != 0,
                  "No MarkedTimes registry. "
                  "Time::SetResolution () called more than once?");
 
-  for ( MarkedTimes::iterator it = g_markingTimes->begin();
-        it != g_markingTimes->end();
+  for ( MarkedTimes::iterator it = g_markingTimes->begin ();
+        it != g_markingTimes->end ();
         it++ )
     {
       Time * const tp = *it;
-      if ( ! (    (tp->m_data == std::numeric_limits<int64_t>::min ())
-               || (tp->m_data == std::numeric_limits<int64_t>::max ())
+      if ( !((tp->m_data == std::numeric_limits<int64_t>::min ())
+             || (tp->m_data == std::numeric_limits<int64_t>::max ())
              )
-         )
+           )
         {
-      tp->m_data = tp->ToInteger (unit);
-    }
+          tp->m_data = tp->ToInteger (unit);
+        }
     }
 
   NS_LOG_LOGIC ("logged " << g_markingTimes->size () << " Time objects.");
@@ -369,7 +370,7 @@
   // Body of ClearMarkedTimes
   // Assert above already guarantees g_markingTimes != 0
   NS_LOG_LOGIC ("clearing MarkedTimes");
-  g_markingTimes->erase (g_markingTimes->begin(), g_markingTimes->end ());
+  g_markingTimes->erase (g_markingTimes->begin (), g_markingTimes->end ());
   g_markingTimes = 0;
 
 }  // Time::ConvertTimes ()
@@ -389,7 +390,7 @@
 {
   return TimeWithUnit (*this, unit);
 }
- 
+
 
 std::ostream &
 operator << (std::ostream & os, const Time & time)
@@ -406,6 +407,7 @@
 
   switch (timeU.m_unit)
     {
+      // *NS_CHECK_STYLE_OFF*
     case Time::Y:    unit = "y";    break;
     case Time::D:    unit = "d";    break;
     case Time::H:    unit = "h";    break;
@@ -416,6 +418,7 @@
     case Time::NS:   unit = "ns";   break;
     case Time::PS:   unit = "ps";   break;
     case Time::FS:   unit = "fs";   break;
+      // *NS_CHECK_STYLE_ON*
 
     case Time::LAST:
     default:
@@ -426,7 +429,7 @@
 
   int64x64_t v = timeU.m_time.To (timeU.m_unit);
   os << v << unit;
-  
+
   return os;
 }
 
@@ -451,8 +454,10 @@
   {
     Checker (const Time minValue, const Time maxValue)
       : m_minValue (minValue),
-        m_maxValue (maxValue) {}
-    virtual bool Check (const AttributeValue &value) const {
+        m_maxValue (maxValue)
+    {}
+    virtual bool Check (const AttributeValue &value) const
+    {
       NS_LOG_FUNCTION (&value);
       const TimeValue *v = dynamic_cast<const TimeValue *> (&value);
       if (v == 0)
@@ -461,25 +466,30 @@
         }
       return v->Get () >= m_minValue && v->Get () <= m_maxValue;
     }
-    virtual std::string GetValueTypeName (void) const {
+    virtual std::string GetValueTypeName (void) const
+    {
       NS_LOG_FUNCTION_NOARGS ();
       return "ns3::TimeValue";
     }
-    virtual bool HasUnderlyingTypeInformation (void) const {
+    virtual bool HasUnderlyingTypeInformation (void) const
+    {
       NS_LOG_FUNCTION_NOARGS ();
       return true;
     }
-    virtual std::string GetUnderlyingTypeInformation (void) const {
+    virtual std::string GetUnderlyingTypeInformation (void) const
+    {
       NS_LOG_FUNCTION_NOARGS ();
       std::ostringstream oss;
       oss << "Time" << " " << m_minValue << ":" << m_maxValue;
       return oss.str ();
     }
-    virtual Ptr<AttributeValue> Create (void) const {
+    virtual Ptr<AttributeValue> Create (void) const
+    {
       NS_LOG_FUNCTION_NOARGS ();
       return ns3::Create<TimeValue> ();
     }
-    virtual bool Copy (const AttributeValue &source, AttributeValue &destination) const {
+    virtual bool Copy (const AttributeValue &source, AttributeValue &destination) const
+    {
       NS_LOG_FUNCTION (&source << &destination);
       const TimeValue *src = dynamic_cast<const TimeValue *> (&source);
       TimeValue *dst = dynamic_cast<TimeValue *> (&destination);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/time-printer.cc ns-3.31/src/core/model/time-printer.cc
--- ns-3.30.1/src/core/model/time-printer.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/time-printer.cc	2020-06-27 17:38:30.000000000 -0700
@@ -33,7 +33,7 @@
 
 namespace ns3 {
 
-  NS_LOG_COMPONENT_DEFINE ("TimePrinter");
+NS_LOG_COMPONENT_DEFINE ("TimePrinter");
 
 void
 DefaultTimePrinter (std::ostream &os)
@@ -43,20 +43,23 @@
   os << std::fixed;
   switch (Time::GetResolution ())
     {
+      // *NS_CHECK_STYLE_OFF*
     case Time::US :    os << std::setprecision (6);   break;
     case Time::NS :    os << std::setprecision (9);   break;
     case Time::PS :    os << std::setprecision (12);  break;
     case Time::FS :    os << std::setprecision (15);  break;
-    default :          
+      // *NS_CHECK_STYLE_ON*
+
+    default:
       // default C++ precision of 5
       os << std::setprecision (5);
     }
   os << Simulator::Now ().As (Time::S);
-  
+
   os << std::setprecision (oldPrecision);
   os.flags (ff); // Restore stream flags
 }
 
-  
+
 } // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/timer.cc ns-3.31/src/core/model/timer.cc
--- ns-3.30.1/src/core/model/timer.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/timer.cc	2020-06-27 17:38:30.000000000 -0700
@@ -66,7 +66,7 @@
     }
   else if (m_flags & REMOVE_ON_DESTROY)
     {
-      Simulator::Remove (m_event);
+      m_event.Remove ();
     }
   delete m_impl;
 }
@@ -109,13 +109,13 @@
 Timer::Cancel (void)
 {
   NS_LOG_FUNCTION (this);
-  Simulator::Cancel (m_event);
+  m_event.Cancel ();
 }
 void
 Timer::Remove (void)
 {
   NS_LOG_FUNCTION (this);
-  Simulator::Remove (m_event);
+  m_event.Remove ();
 }
 bool
 Timer::IsExpired (void) const
@@ -179,7 +179,14 @@
   NS_LOG_FUNCTION (this);
   NS_ASSERT (IsRunning ());
   m_delayLeft = Simulator::GetDelayLeft (m_event);
-  Simulator::Remove (m_event);
+  if (m_flags & CANCEL_ON_DESTROY)
+    {
+      m_event.Cancel ();
+    }
+  else if (m_flags & REMOVE_ON_DESTROY)
+    {
+      m_event.Remove ();
+    } 
   m_flags |= TIMER_SUSPENDED;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/timer.h ns-3.31/src/core/model/timer.h
--- ns-3.30.1/src/core/model/timer.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/timer.h	2020-06-27 17:38:30.000000000 -0700
@@ -54,15 +54,15 @@
 
 /**
  * \ingroup timer
- * \brief A simple Timer class
+ * \brief A simple virtual Timer class
  *
- * A timer is used to hold together a delay, a function to invoke
+ * A (virtual time) timer is used to hold together a delay, a function to invoke
  * when the delay expires, and a set of arguments to pass to the function
  * when the delay expires.
  *
  * A Timer can be suspended, resumed, cancelled and queried for the
  * time left, but it can't be extended (except by suspending and
- * resuming.)
+ * resuming).
  *
  * A timer can also be used to enforce a set of predefined event lifetime
  * management policies. These policies are specified at construction time
@@ -75,18 +75,26 @@
 public:
   /**
    * The policy to use to manager the internal timer when an
-   * instance of the Timer class is destroyed.
+   * instance of the Timer class is destroyed or suspended.
+   *
+   * In the case of suspension, only `CANCEL_ON_DESTROY` and
+   * `REMOVE_ON_DESTROY` apply.
+   *
+   * These symbols have "Destroy" in their names
+   * for historical reasons.
    */
   enum DestroyPolicy
   {
     /**
      * This policy cancels the event from the destructor of the Timer
-     * to verify that the event has already expired.
+     * or from Suspend().  This is typically faster than `REMOVE_ON_DESTROY`
+     * but uses more memory.
      */
     CANCEL_ON_DESTROY = (1 << 3),
     /**
      * This policy removes the event from the simulation event list
-     * when the destructor of the Timer is invoked.
+     * when the destructor of the Timer is invoked, or the Timer is
+     * suspended.  This is typically slower than Cancel, but frees memory.
      */
     REMOVE_ON_DESTROY = (1 << 4),
     /**
@@ -115,6 +123,7 @@
   ~Timer ();
 
   /**
+   * \tparam FN \deduced The type of the function.
    * \param [in] fn the function
    *
    * Store this function in this Timer for later use by Timer::Schedule.
@@ -123,6 +132,8 @@
   void SetFunction (FN fn);
 
   /**
+   * \tparam MEM_PTR \deduced The type of the class member function.
+   * \tparam OBJ_PTR \deduced The type of the class instance pointer.
    * \param [in] memPtr the member function pointer
    * \param [in] objPtr the pointer to object
    *
@@ -134,62 +145,13 @@
 
 
   /**
-   * \param [in] a1 the first argument
-   *
-   * Store this argument in this Timer for later use by Timer::Schedule.
-   */
-  template <typename T1>
-  void SetArguments (T1 a1);
-  /**
-   * \param [in] a1 the first argument
-   * \param [in] a2 the second argument
-   *
-   * Store these arguments in this Timer for later use by Timer::Schedule.
-   */
-  template <typename T1, typename T2>
-  void SetArguments (T1 a1, T2 a2);
-  /**
-   * \param [in] a1 the first argument
-   * \param [in] a2 the second argument
-   * \param [in] a3 the third argument
-   *
-   * Store these arguments in this Timer for later use by Timer::Schedule.
-   */
-  template <typename T1, typename T2, typename T3>
-  void SetArguments (T1 a1, T2 a2, T3 a3);
-  /**
-   * \param [in] a1 the first argument
-   * \param [in] a2 the second argument
-   * \param [in] a3 the third argument
-   * \param [in] a4 the fourth argument
-   *
-   * Store these arguments in this Timer for later use by Timer::Schedule.
-   */
-  template <typename T1, typename T2, typename T3, typename T4>
-  void SetArguments (T1 a1, T2 a2, T3 a3, T4 a4);
-  /**
-   * \param [in] a1 the first argument
-   * \param [in] a2 the second argument
-   * \param [in] a3 the third argument
-   * \param [in] a4 the fourth argument
-   * \param [in] a5 the fifth argument
+   * \tparam Ts \deduced Argument types
+   * \param [in] args arguments
    *
    * Store these arguments in this Timer for later use by Timer::Schedule.
    */
-  template <typename T1, typename T2, typename T3, typename T4, typename T5>
-  void SetArguments (T1 a1, T2 a2, T3 a3, T4 a4, T5 a5);
-  /**
-   * \param [in] a1 the first argument
-   * \param [in] a2 the second argument
-   * \param [in] a3 the third argument
-   * \param [in] a4 the fourth argument
-   * \param [in] a5 the fifth argument
-   * \param [in] a6 the sixth argument
-   *
-   * Store these arguments in this Timer for later use by Timer::Schedule.
-   */
-  template <typename T1, typename T2, typename T3, typename T4, typename T5, typename T6>
-  void SetArguments (T1 a1, T2 a2, T3 a3, T4 a4, T5 a5, T6 a6);
+  template <typename... Ts>
+  void SetArguments (Ts... args);
 
   /**
    * \param [in] delay The delay
@@ -250,8 +212,15 @@
   void Schedule (Time delay);
 
   /**
-   * Cancel the timer and save the amount of time left until it was
+   * Pause the timer and save the amount of time left until it was
    * set to expire.
+   *
+   * Subsequently calling Resume() will restart the Timer with the
+   * remaining time.
+   *
+   * The DestroyPolicy set at construction determines
+   * whether the underlying Simulator::Event is cancelled or removed.
+   *
    * Calling Suspend on a non-running timer is an error.
    */
   void Suspend (void);
@@ -272,7 +241,7 @@
   /**
    * Bitfield for Timer State, DestroyPolicy and InternalSuspended.
    *
-   * \internal 
+   * \internal
    * The DestroyPolicy, State and InternalSuspended state are stored
    * in this single bitfield.  The State uses the low-order bits,
    * so the other users of the bitfield have to be careful in defining
@@ -319,75 +288,16 @@
   m_impl = MakeTimerImpl (memPtr, objPtr);
 }
 
-template <typename T1>
-void
-Timer::SetArguments (T1 a1)
-{
-  if (m_impl == 0)
-    {
-      NS_FATAL_ERROR ("You cannot set the arguments of a Timer before setting its function.");
-      return;
-    }
-  m_impl->SetArgs (a1);
-}
-template <typename T1, typename T2>
-void
-Timer::SetArguments (T1 a1, T2 a2)
-{
-  if (m_impl == 0)
-    {
-      NS_FATAL_ERROR ("You cannot set the arguments of a Timer before setting its function.");
-      return;
-    }
-  m_impl->SetArgs (a1, a2);
-}
-
-template <typename T1, typename T2, typename T3>
-void
-Timer::SetArguments (T1 a1, T2 a2, T3 a3)
-{
-  if (m_impl == 0)
-    {
-      NS_FATAL_ERROR ("You cannot set the arguments of a Timer before setting its function.");
-      return;
-    }
-  m_impl->SetArgs (a1, a2, a3);
-}
-
-template <typename T1, typename T2, typename T3, typename T4>
-void
-Timer::SetArguments (T1 a1, T2 a2, T3 a3, T4 a4)
-{
-  if (m_impl == 0)
-    {
-      NS_FATAL_ERROR ("You cannot set the arguments of a Timer before setting its function.");
-      return;
-    }
-  m_impl->SetArgs (a1, a2, a3, a4);
-}
-
-template <typename T1, typename T2, typename T3, typename T4, typename T5>
-void
-Timer::SetArguments (T1 a1, T2 a2, T3 a3, T4 a4, T5 a5)
-{
-  if (m_impl == 0)
-    {
-      NS_FATAL_ERROR ("You cannot set the arguments of a Timer before setting its function.");
-      return;
-    }
-  m_impl->SetArgs (a1, a2, a3, a4, a5);
-}
-
-template <typename T1, typename T2, typename T3, typename T4, typename T5, typename T6>
+template <typename... Ts>
 void
-Timer::SetArguments (T1 a1, T2 a2, T3 a3, T4 a4, T5 a5, T6 a6)
+Timer::SetArguments (Ts... args)
 {
   if (m_impl == 0)
     {
       NS_FATAL_ERROR ("You cannot set the arguments of a Timer before setting its function.");
       return;
     }
-  m_impl->SetArgs (a1, a2, a3, a4, a5, a6);
+  m_impl->SetArgs (args...);
 }
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/timer-impl.h ns-3.31/src/core/model/timer-impl.h
--- ns-3.30.1/src/core/model/timer-impl.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/timer-impl.h	2020-06-27 17:38:30.000000000 -0700
@@ -44,8 +44,7 @@
 public:
   /** Destructor. */
   virtual ~TimerImpl ()
-  {
-  }
+  {}
 
   /**
    * Set the arguments to be used when invoking the expire function.
@@ -147,7 +146,7 @@
  * \defgroup timerimpl TimerImpl Implementation
  * @{
  */
-  
+
 /** TimerImpl specialization class for varying numbers of arguments. */
 template <typename T1>
 struct TimerImplOne : public TimerImpl
@@ -185,7 +184,7 @@
   virtual void SetArguments (T1 a1,T2 a2,T3 a3) = 0;
 };
 /** TimerImpl specialization class for varying numbers of arguments. */
-template <typename T1, typename T2, typename  T3, typename T4>
+template <typename T1, typename T2, typename T3, typename T4>
 struct TimerImplFour : public TimerImpl
 {
   /**
@@ -199,7 +198,7 @@
   virtual void SetArguments (T1 a1,T2 a2,T3 a3, T4 a4) = 0;
 };
 /** TimerImpl specialization class for varying numbers of arguments. */
-template <typename T1, typename T2, typename  T3, typename T4, typename T5>
+template <typename T1, typename T2, typename T3, typename T4, typename T5>
 struct TimerImplFive : public TimerImpl
 {
   /**
@@ -214,7 +213,7 @@
   virtual void SetArguments (T1 a1,T2 a2,T3 a3, T4 a4, T5 a5) = 0;
 };
 /** TimerImpl specialization class for varying numbers of arguments. */
-template <typename T1, typename T2, typename  T3, typename T4, typename T5, typename T6>
+template <typename T1, typename T2, typename T3, typename T4, typename T5, typename T6>
 struct TimerImplSix : public TimerImpl
 {
   /**
@@ -268,8 +267,7 @@
   {
     FnTimerImplZero (FN fn)
       : m_fn (fn)
-    {
-    }
+    {}
     virtual EventId Schedule (const Time &delay)
     {
       return Simulator::Schedule (delay, m_fn);
@@ -299,8 +297,7 @@
   {
     FnTimerImplOne (FN fn)
       : m_fn (fn)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1)
     {
       m_a1 = a1;
@@ -338,8 +335,7 @@
   {
     FnTimerImplTwo (FN fn)
       : m_fn (fn)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1, T2Parameter a2)
     {
       m_a1 = a1;
@@ -382,8 +378,7 @@
   {
     FnTimerImplThree (FN fn)
       : m_fn (fn)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1, T2Parameter a2, T3Parameter a3)
     {
       m_a1 = a1;
@@ -431,8 +426,7 @@
   {
     FnTimerImplFour (FN fn)
       : m_fn (fn)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1, T2Parameter a2, T3Parameter a3, T4Parameter a4)
     {
       m_a1 = a1;
@@ -485,8 +479,7 @@
   {
     FnTimerImplFive (FN fn)
       : m_fn (fn)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1, T2Parameter a2, T3Parameter a3, T4Parameter a4, T5Parameter a5)
     {
       m_a1 = a1;
@@ -544,8 +537,7 @@
   {
     FnTimerImplSix (FN fn)
       : m_fn (fn)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1, T2Parameter a2, T3Parameter a3, T4Parameter a4, T5Parameter a5, T6Parameter a6)
     {
       m_a1 = a1;
@@ -606,7 +598,7 @@
    * \param [in] p The pointer.
    * \returns A reference to the object pointed to by \c p.
    */
-  static T &GetReference (T *p)
+  static T & GetReference (T *p)
   {
     return *p;
   }
@@ -643,8 +635,7 @@
     MemFnTimerImplZero (MEM_PTR memPtr, OBJ_PTR objPtr)
       : m_memPtr (memPtr),
         m_objPtr (objPtr)
-    {
-    }
+    {}
     virtual EventId Schedule (const Time &delay)
     {
       return Simulator::Schedule (delay, m_memPtr, m_objPtr);
@@ -676,8 +667,7 @@
     MemFnTimerImplOne (MEM_PTR memPtr, OBJ_PTR objPtr)
       : m_memPtr (memPtr),
         m_objPtr (objPtr)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1)
     {
       m_a1 = a1;
@@ -717,8 +707,7 @@
     MemFnTimerImplTwo (MEM_PTR memPtr, OBJ_PTR objPtr)
       : m_memPtr (memPtr),
         m_objPtr (objPtr)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1, T2Parameter a2)
     {
       m_a1 = a1;
@@ -763,8 +752,7 @@
     MemFnTimerImplThree (MEM_PTR memPtr, OBJ_PTR objPtr)
       : m_memPtr (memPtr),
         m_objPtr (objPtr)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1, T2Parameter a2, T3Parameter a3)
     {
       m_a1 = a1;
@@ -814,8 +802,7 @@
     MemFnTimerImplFour (MEM_PTR memPtr, OBJ_PTR objPtr)
       : m_memPtr (memPtr),
         m_objPtr (objPtr)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1, T2Parameter a2, T3Parameter a3, T4Parameter a4)
     {
       m_a1 = a1;
@@ -870,8 +857,7 @@
     MemFnTimerImplFive (MEM_PTR memPtr, OBJ_PTR objPtr)
       : m_memPtr (memPtr),
         m_objPtr (objPtr)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1, T2Parameter a2, T3Parameter a3, T4Parameter a4,T5Parameter a5)
     {
       m_a1 = a1;
@@ -931,8 +917,7 @@
     MemFnTimerImplSix (MEM_PTR memPtr, OBJ_PTR objPtr)
       : m_memPtr (memPtr),
         m_objPtr (objPtr)
-    {
-    }
+    {}
     virtual void SetArguments (T1Parameter a1, T2Parameter a2, T3Parameter a3, T4Parameter a4,T5Parameter a5,T6Parameter a6)
     {
       m_a1 = a1;
@@ -964,18 +949,18 @@
 
 /**@}*/  // \ingroup timer
 
-  
+
 /********************************************************************
  *  Implementation of TimerImpl itself.
  ********************************************************************/
-  
+
 template <typename T1>
 void
 TimerImpl::SetArgs (T1 a1)
 {
   typedef struct TimerImplOne<
-    typename TimerTraits<T1>::ParameterType
-    > TimerImplBase;
+      typename TimerTraits<T1>::ParameterType
+      > TimerImplBase;
   TimerImplBase *impl = dynamic_cast<TimerImplBase *> (this);
   if (impl == 0)
     {
@@ -990,9 +975,9 @@
 TimerImpl::SetArgs (T1 a1, T2 a2)
 {
   typedef struct TimerImplTwo<
-    typename TimerTraits<T1>::ParameterType,
-    typename TimerTraits<T2>::ParameterType
-    > TimerImplBase;
+      typename TimerTraits<T1>::ParameterType,
+      typename TimerTraits<T2>::ParameterType
+      > TimerImplBase;
   TimerImplBase *impl = dynamic_cast<TimerImplBase *> (this);
   if (impl == 0)
     {
@@ -1007,10 +992,10 @@
 TimerImpl::SetArgs (T1 a1, T2 a2, T3 a3)
 {
   typedef struct TimerImplThree<
-    typename TimerTraits<T1>::ParameterType,
-    typename TimerTraits<T2>::ParameterType,
-    typename TimerTraits<T3>::ParameterType
-    > TimerImplBase;
+      typename TimerTraits<T1>::ParameterType,
+      typename TimerTraits<T2>::ParameterType,
+      typename TimerTraits<T3>::ParameterType
+      > TimerImplBase;
   TimerImplBase *impl = dynamic_cast<TimerImplBase *> (this);
   if (impl == 0)
     {
@@ -1025,11 +1010,11 @@
 TimerImpl::SetArgs (T1 a1, T2 a2, T3 a3, T4 a4)
 {
   typedef struct TimerImplFour<
-    typename TimerTraits<T1>::ParameterType,
-    typename TimerTraits<T2>::ParameterType,
-    typename TimerTraits<T3>::ParameterType,
-    typename TimerTraits<T4>::ParameterType
-    > TimerImplBase;
+      typename TimerTraits<T1>::ParameterType,
+      typename TimerTraits<T2>::ParameterType,
+      typename TimerTraits<T3>::ParameterType,
+      typename TimerTraits<T4>::ParameterType
+      > TimerImplBase;
   TimerImplBase *impl = dynamic_cast<TimerImplBase *> (this);
   if (impl == 0)
     {
@@ -1044,12 +1029,12 @@
 TimerImpl::SetArgs (T1 a1, T2 a2, T3 a3, T4 a4, T5 a5)
 {
   typedef struct TimerImplFive<
-    typename TimerTraits<T1>::ParameterType,
-    typename TimerTraits<T2>::ParameterType,
-    typename TimerTraits<T3>::ParameterType,
-    typename TimerTraits<T4>::ParameterType,
-    typename TimerTraits<T5>::ParameterType
-    > TimerImplBase;
+      typename TimerTraits<T1>::ParameterType,
+      typename TimerTraits<T2>::ParameterType,
+      typename TimerTraits<T3>::ParameterType,
+      typename TimerTraits<T4>::ParameterType,
+      typename TimerTraits<T5>::ParameterType
+      > TimerImplBase;
   TimerImplBase *impl = dynamic_cast<TimerImplBase *> (this);
   if (impl == 0)
     {
@@ -1064,13 +1049,13 @@
 TimerImpl::SetArgs (T1 a1, T2 a2, T3 a3, T4 a4, T5 a5, T6 a6)
 {
   typedef struct TimerImplSix<
-    typename TimerTraits<T1>::ParameterType,
-    typename TimerTraits<T2>::ParameterType,
-    typename TimerTraits<T3>::ParameterType,
-    typename TimerTraits<T4>::ParameterType,
-    typename TimerTraits<T5>::ParameterType,
-    typename TimerTraits<T6>::ParameterType
-    > TimerImplBase;
+      typename TimerTraits<T1>::ParameterType,
+      typename TimerTraits<T2>::ParameterType,
+      typename TimerTraits<T3>::ParameterType,
+      typename TimerTraits<T4>::ParameterType,
+      typename TimerTraits<T5>::ParameterType,
+      typename TimerTraits<T6>::ParameterType
+      > TimerImplBase;
   TimerImplBase *impl = dynamic_cast<TimerImplBase *> (this);
   if (impl == 0)
     {
